Jump to content
Ultimaker Community of 3D Printing Experts
tredog

Cura unable to open any STL file

Recommended Posts

Hello Community,

I recently reinstalled cura after my computer needed to be reimaged. I was able to open an STL file and tweak some settings. I then closed Cura and reopened it about 30 minutes later. Since then it will not open any STL file.

I've tried uninstalling and reinstalling.

I've made cura associate with STL files and without STL files.

I've tried creating a new STL file

I've downloaded new STL files

I've tried old STL files.

Nothing works. It will open other file types with no problems, but not any STL file.

Please help!

Kind Regards, Tae.

Share this post


Link to post
Share on other sites

Sorry, delay in response. I ended up ditching Cura for a while due to an inability to get it recognising files. I can, however, get Cura 2.5 to work with no problems. Any version after that doesn't acknowledge that STL files exist!?!

I've attempted a reinstall of multiple versions with folder removal. No luck. The cura log is too long for my free pastebin.com account.

For example...

2.5 stl is an option!

2.5.thumb.png.7e358ab3faa13b783c33498fca65ef25.png

Then 3.0 stl missing?

3.0.thumb.png.138ca5c43b5db302480f47288c4dcabe.png

Share this post


Link to post
Share on other sites

I just had Cura installed on my work PC. It is hit or miss on loading .stl files and I cannot figure out what is causing it. I get the same error as above. I have made some very simple geometry that has only a very low triangle count. Below is my log file for the last error. Anyone have any ideas?

 

2017-12-29 15:22:17,411 - ERROR - UM.Logger.logException [76]: Exception: Exception occurred while loading file C:/Users/t3743ms/Documents/_Sheridan/3D_Printing/_.STL Files/hexlock_x_t.stl
2017-12-29 15:22:17,423 - ERROR - UM.Logger.logException [80]: Traceback (most recent call last):
2017-12-29 15:22:17,426 - ERROR - UM.Logger.logException [80]:   File "stl\stl.py", line 328, in from_file
2017-12-29 15:22:17,429 - ERROR - UM.Logger.logException [80]:   File "stl\stl.py", line 93, in load
2017-12-29 15:22:17,437 - ERROR - UM.Logger.logException [80]:   File "stl\stl.py", line 108, in _load_binary
2017-12-29 15:22:17,441 - ERROR - UM.Logger.logException [80]: AssertionError: File too large, got 603979776 triangles which exceeds the maximum of 10000000
2017-12-29 15:22:17,445 - ERROR - UM.Logger.logException [80]: 
2017-12-29 15:22:17,448 - ERROR - UM.Logger.logException [80]: During handling of the above exception, another exception occurred:
2017-12-29 15:22:17,451 - ERROR - UM.Logger.logException [80]: 
2017-12-29 15:22:17,454 - ERROR - UM.Logger.logException [80]: Traceback (most recent call last):
2017-12-29 15:22:17,457 - ERROR - UM.Logger.logException [80]:   File "X:\3.1\build\inst\lib\python3.5\site-packages\UM\FileHandler\ReadFileJob.py", line 66, in run
2017-12-29 15:22:17,460 - ERROR - UM.Logger.logException [80]:   File "X:\3.1\build\inst\lib\python3.5\site-packages\UM\Mesh\MeshFileHandler.py", line 28, in readerRead
2017-12-29 15:22:17,463 - ERROR - UM.Logger.logException [80]:   File "C:\Program Files\Ultimaker Cura 3.1\plugins\FileHandlers\STLReader\STLReader.py", line 56, in read
2017-12-29 15:22:17,466 - ERROR - UM.Logger.logException [80]:     self.load_file(file_name, mesh_builder, _use_numpystl = use_numpystl)
2017-12-29 15:22:17,474 - ERROR - UM.Logger.logException [80]:   File "C:\Program Files\Ultimaker Cura 3.1\plugins\FileHandlers\STLReader\STLReader.py", line 35, in load_file
2017-12-29 15:22:17,478 - ERROR - UM.Logger.logException [80]:     self._loadWithNumpySTL(file_name, mesh_builder)
2017-12-29 15:22:17,481 - ERROR - UM.Logger.logException [80]:   File "C:\Program Files\Ultimaker Cura 3.1\plugins\FileHandlers\STLReader\STLReader.py", line 87, in _loadWithNumpySTL
2017-12-29 15:22:17,485 - ERROR - UM.Logger.logException [80]:     loaded_data = stl.mesh.Mesh.from_file(file_name)
2017-12-29 15:22:17,493 - ERROR - UM.Logger.logException [80]:   File "stl\stl.py", line 333, in from_file
2017-12-29 15:22:17,496 - ERROR - UM.Logger.logException [80]:   File "stl\stl.py", line 93, in load
2017-12-29 15:22:17,499 - ERROR - UM.Logger.logException [80]:   File "stl\stl.py", line 108, in _load_binary
2017-12-29 15:22:17,502 - ERROR - UM.Logger.logException [80]: AssertionError: File too large, got 603979776 triangles which exceeds the maximum of 10000000

Share this post


Link to post
Share on other sites

Read the last line, it says what the problem is. Your file is too high resolution and Cura will not load it because of that. Reduce the number of triangles in your model (by changing the export settings of your CAD software or using something like Meshmixer, Windows 3D Builder, Meshlab etc) and it should work. Searching for something like "decimating mesh" on google should get you in the right direction.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Terms of Use Privacy Policy